### Hierarchy

- ParagraphStyle
  - ListParagraph

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey

### Accessors

- isDeleted

### Methods

- addChildElement
- addParagraphProperty
- addRunProperty
- allCaps
- basedOn
- bold
- center
- color
- delete
- doubleStrike
- font
- indent
- italics
- justified
- keepLines
- keepNext
- left
- leftTabStop
- maxRightTabStop
- next
- prepForXml
- push
- quickFormat
- right
- size
- smallCaps
- spacing
- strike
- subScript
- superScript
- thematicBreak
- underline

## Constructors

### constructor

- new ListParagraph(): ListParagraph

- Overrides ParagraphStyle.constructor

  - Defined in file/styles/style/index.ts:245

  #### Returns ListParagraph

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: Array<BaseXmlComponent | string>

Inherited from XmlComponent.root

- Defined in file/xml-components/xml-component.ts:6

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addParagraphProperty

- addParagraphProperty(property: XmlComponent): void

- Inherited from ParagraphStyle.addParagraphProperty

  - Defined in file/styles/style/index.ts:50

  #### Parameters

  - ##### property: XmlComponent

  #### Returns void

### addRunProperty

- addRunProperty(property: XmlComponent): void

- Inherited from ParagraphStyle.addRunProperty

  - Defined in file/styles/style/index.ts:54

  #### Parameters

  - ##### property: XmlComponent

  #### Returns void

### allCaps

- allCaps(): ParagraphStyle

- Inherited from ParagraphStyle.allCaps

  - Defined in file/styles/style/index.ts:96

  #### Returns ParagraphStyle

### basedOn

- basedOn(parentId: string): ParagraphStyle

- Inherited from ParagraphStyle.basedOn

  - Defined in file/styles/style/index.ts:58

  #### Parameters

  - ##### parentId: string

  #### Returns ParagraphStyle

### bold

- bold(): ParagraphStyle

- Inherited from ParagraphStyle.bold

  - Defined in file/styles/style/index.ts:81

  #### Returns ParagraphStyle

### center

- center(): ParagraphStyle

- Inherited from ParagraphStyle.center

  - Defined in file/styles/style/index.ts:138

  #### Returns ParagraphStyle

### color

- color(color: string): ParagraphStyle

- Inherited from ParagraphStyle.color

  - Defined in file/styles/style/index.ts:126

  #### Parameters

  - ##### color: string

  #### Returns ParagraphStyle

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### doubleStrike

- doubleStrike(): ParagraphStyle

- Inherited from ParagraphStyle.doubleStrike

  - Defined in file/styles/style/index.ts:106

  #### Returns ParagraphStyle

### font

- font(fontName: string): ParagraphStyle

- Inherited from ParagraphStyle.font

  - Defined in file/styles/style/index.ts:131

  #### Parameters

  - ##### fontName: string

  #### Returns ParagraphStyle

### indent

- indent(attrs: object): ParagraphStyle

- Inherited from ParagraphStyle.indent

  - Defined in file/styles/style/index.ts:173

  #### Parameters

  - ##### attrs: object

  #### Returns ParagraphStyle

### italics

- italics(): ParagraphStyle

- Inherited from ParagraphStyle.italics

  - Defined in file/styles/style/index.ts:86

  #### Returns ParagraphStyle

### justified

- justified(): ParagraphStyle

- Inherited from ParagraphStyle.justified

  - Defined in file/styles/style/index.ts:153

  #### Returns ParagraphStyle

### keepLines

- keepLines(): ParagraphStyle

- Inherited from ParagraphStyle.keepLines

  - Defined in file/styles/style/index.ts:188

  #### Returns ParagraphStyle

### keepNext

- keepNext(): ParagraphStyle

- Inherited from ParagraphStyle.keepNext

  - Defined in file/styles/style/index.ts:183

  #### Returns ParagraphStyle

### left

- left(): ParagraphStyle

- Inherited from ParagraphStyle.left

  - Defined in file/styles/style/index.ts:143

  #### Returns ParagraphStyle

### leftTabStop

- leftTabStop(position: number): ParagraphStyle

- Inherited from ParagraphStyle.leftTabStop

  - Defined in file/styles/style/index.ts:168

  #### Parameters

  - ##### position: number

  #### Returns ParagraphStyle

### maxRightTabStop

- maxRightTabStop(): ParagraphStyle

- Inherited from ParagraphStyle.maxRightTabStop

  - Defined in file/styles/style/index.ts:163

  #### Returns ParagraphStyle

### next

- next(nextId: string): ParagraphStyle

- Inherited from ParagraphStyle.next

  - Defined in file/styles/style/index.ts:68

  #### Parameters

  - ##### nextId: string

  #### Returns ParagraphStyle

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:13

  #### Returns IXmlableObject

### push

- push(styleSegment: XmlComponent): void

- Inherited from Style.push

  - Defined in file/styles/style/index.ts:33

  #### Parameters

  - ##### styleSegment: XmlComponent

  #### Returns void

### quickFormat

- quickFormat(): ParagraphStyle

- Inherited from ParagraphStyle.quickFormat

  - Defined in file/styles/style/index.ts:63

  #### Returns ParagraphStyle

### right

- right(): ParagraphStyle

- Inherited from ParagraphStyle.right

  - Defined in file/styles/style/index.ts:148

  #### Returns ParagraphStyle

### size

- size(twips: number): ParagraphStyle

- Inherited from ParagraphStyle.size

  - Defined in file/styles/style/index.ts:75

  #### Parameters

  - ##### twips: number

  #### Returns ParagraphStyle

### smallCaps

- smallCaps(): ParagraphStyle

- Inherited from ParagraphStyle.smallCaps

  - Defined in file/styles/style/index.ts:91

  #### Returns ParagraphStyle

### spacing

- spacing(params: ISpacingProperties): ParagraphStyle

- Inherited from ParagraphStyle.spacing

  - Defined in file/styles/style/index.ts:178

  #### Parameters

  - ##### params: ISpacingProperties

  #### Returns ParagraphStyle

### strike

- strike(): ParagraphStyle

- Inherited from ParagraphStyle.strike

  - Defined in file/styles/style/index.ts:101

  #### Returns ParagraphStyle

### subScript

- subScript(): ParagraphStyle

- Inherited from ParagraphStyle.subScript

  - Defined in file/styles/style/index.ts:111

  #### Returns ParagraphStyle

### superScript

- superScript(): ParagraphStyle

- Inherited from ParagraphStyle.superScript

  - Defined in file/styles/style/index.ts:116

  #### Returns ParagraphStyle

### thematicBreak

- thematicBreak(): ParagraphStyle

- Inherited from ParagraphStyle.thematicBreak

  - Defined in file/styles/style/index.ts:158

  #### Returns ParagraphStyle

### underline

- underline(underlineType?: undefined | string, color?: undefined | string): ParagraphStyle

- Inherited from ParagraphStyle.underline

  - Defined in file/styles/style/index.ts:121

  #### Parameters

  - ##### Optional underlineType: undefined | string

  - ##### Optional color: undefined | string

  #### Returns ParagraphStyle

Generated using TypeDoc